/* libfoXdesktop - foXdesktop's core library extending FOX
 * Copyright (C) 2000-2001 Josua Groeger <fractalus@gmx.net>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#ifndef FDAPP_H
#define FDAPP_H

#include <fox/fx.h>

class FDApp: public FXApp
{
  FXDECLARE (FDApp)
  
  private:
    FXIconDict *iconDict;
  public:
    FXIconDict &ico () {return *iconDict;};
  
    FDApp (const FXString &name= "Application", const FXString &vendor= "Default");
    virtual ~FDApp ();

    virtual void init (int &argc, char **argv);

    // Show an "about" dialogue
    virtual void showAbout (FXComposite *composite, const FXchar *name, const FXchar *version,
                            const FXchar *description, const FXchar *icon,
                            const FXchar *copyright, const FXchar *homepage);
    // Invoke the HTML help
    virtual void showHelp (const FXchar *app, const FXchar *file= "index.html");
};

#endif
